Loading...
Searching...
No Matches
Dune::cpgrid::Geometry< 0, cdim > Class Template Reference

Specialization for 0 dimensional geometries, i.e. vertices. More...

`#include <Geometry.hpp>`

## Public Types

enum | { dimension = 3 }
| Dimension of underlying grid.
enum | { mydimension = 0 }
| Dimension of domain space of. More...
enum | { coorddimension = cdim }
| Dimension of range space of. More...
enum | { dimensionworld = 3 }
| World dimension of underlying grid.
using | ctype = double
| Coordinate element type.
using | Volume = ctype
| Number type used for the geometry volume.
typedef FieldVector< ctype, mydimension > | LocalCoordinate
| Domain type of.
typedef FieldVector< ctype, coorddimension > | GlobalCoordinate
| Range type of.
typedef FieldMatrix< ctype, coorddimension, mydimension > | Jacobian
| Type of Jacobian matrix.
typedef FieldMatrix< ctype, coorddimension, mydimension > | JacobianInverse
| Type of inverse of Jacobian matrix.
typedef FieldMatrix< ctype, mydimension, coorddimension > | JacobianTransposed
| Type of transposed Jacobian matrix.
typedef FieldMatrix< ctype, coorddimension, mydimension > | JacobianInverseTransposed
| Type of the inverse of the transposed Jacobian matrix.

## Public Member Functions

| Geometry (const GlobalCoordinate &pos)
| Construct from vertex position.
| Geometry ()
| Default constructor, giving a non-valid geometry.
const GlobalCoordinate & | global (const LocalCoordinate &) const
| Returns the position of the vertex.
LocalCoordinate | local (const GlobalCoordinate &) const
| Meaningless for the vertex geometry.
Volume | integrationElement (const LocalCoordinate &) const
| Returns 1 for the vertex geometry.
GeometryType | type () const
| Using the cube type for vertices.
int | corners () const
| A vertex is defined by a single corner.
GlobalCoordinate | corner (int cor) const
| Returns the single corner: the vertex itself.
Volume | volume () const
| Volume of vertex is arbitrarily set to 1.
const GlobalCoordinate & | center () const
| Returns the centroid of the geometry.
JacobianTransposed | jacobianTransposed (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
JacobianInverseTransposed | jacobianInverseTransposed (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
Jacobian | jacobian (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
JacobianInverse | jacobianInverse (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
bool | affine () const
| The mapping implemented by this geometry is constant, therefore affine.

## Detailed Description

template<int cdim>
class Dune::cpgrid::Geometry< 0, cdim >

Specialization for 0 dimensional geometries, i.e. vertices.

## Member Typedef Documentation

## GlobalCoordinate

template<int cdim>

typedef FieldVector<ctype, coorddimension> Dune::cpgrid::Geometry< 0, cdim >::GlobalCoordinate

Range type of.

See also
  global().

## LocalCoordinate

template<int cdim>

typedef FieldVector<ctype, mydimension> Dune::cpgrid::Geometry< 0, cdim >::LocalCoordinate

Domain type of.

See also
  global().

## Member Enumeration Documentation

## anonymous enum

template<int cdim>

anonymous enum

Dimension of range space of.

See also
  global().

## anonymous enum

template<int cdim>

anonymous enum

Dimension of domain space of.

See also
  global().

## Constructor & Destructor Documentation

## Geometry()

template<int cdim>

Dune::cpgrid::Geometry< 0, cdim >::Geometry | ( | const GlobalCoordinate & | pos | ) |

inline

Construct from vertex position.

Parameters

  pos | the position of the vertex

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/Geometry.hpp